﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace XamGridS5DateColumn
{
    public partial class MainPage : UserControl
    {
        private ObservableCollection<Person> col;
        public ObservableCollection<Person> Col
        {
            get { return col; }
            set
            {
                col = value;
            }
        }

        public MainPage()
        {
            InitializeComponent();
            Col = new ObservableCollection<Person>();
            Col.Add(new Person() { Name = "Johny", Age = 30, StartDate = DateTime.Now });
            Col.Add(new Person() { Name = "Jim", Age = 40, StartDate = DateTime.Now });
            Col.Add(new Person() { Name = "Jack", Age = 50, StartDate = DateTime.Now });
            DataContext = this;


             

        }

        

        public class Person : INotifyPropertyChanged
        {
            String name;

            public String Name
            {
                get { return name; }
                set
                {
                    name = value;
                    NotifyPropertyChanged("Name");
                }
            }
            int age;

            public int Age
            {
                get { return age; }
                set
                {
                    age = value;
                    NotifyPropertyChanged("Age");
                }
            }
            DateTime startDate;

            public DateTime StartDate
            {
                get { return startDate; }
                set
                {
                    startDate = value;
                    NotifyPropertyChanged("StartDate");
                }
            }



            public event PropertyChangedEventHandler PropertyChanged;

            private void NotifyPropertyChanged(String info)
            {
                if (PropertyChanged != null)
                {
                    PropertyChanged(this, new PropertyChangedEventArgs(info));
                }
            }
        }

        private void TextBox_KeyUp(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Delete)
            {
                MessageBox.Show("You have pressed 'Delete'.");
            }
        }

        
    }
}
